{{ define "header"}}
    <div class="title-bar">
        <div class="title">Suche</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="search">
        <form id="search-form" action="search" method="get">
            <div class="control has-addons">
                <input type="text" name="q" value="{{.Query}}">
                <add-channel class="icon small" target=".channels">
                    <svg>
                        <use xlink:href="assets/img/solid.svg#search"></use>
                    </svg>
                </add-channel>
            </div>
        </form>

        <div class="results">
            {{ range .Packets }}
                <form id="start-download-{{.SaveId}}" action="downloads/{{.SaveId}}/start" method="post" hidden></form>
                <div class="search-result card card-1">
                    <button class="download icon" type="submit" form="start-download-{{.SaveId}}" onclick="event.stopPropagation();">
                        <svg>
                            <use xlink:href="assets/img/solid.svg#download"></use>
                        </svg>
                    </button>
                    <div class="info">
                        <div>{{.Name}}</div>
                        <div class="bot">{{.PacketId}} - {{.Bot}} ({{.Date.Format "2006-01-02 15:04:05"}})</div>
                    </div>
                    <div class="size">
                        {{.Size}}
                    </div>
                </div>
            {{end}}
            {{if not .Packets}}
                <div class="not-found">Nothing found for '{{.Query}}'</div>
            {{end}}
        </div>

    </div>
{{end}}